<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_main_ae"
    tools:context=".upload.UploadActivity">

    <FrameLayout
        android:id="@+id/frame_back"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_alignTop="@id/tv_category_name"
        android:layout_marginStart="5dp"
        android:paddingStart="10dp"
        android:paddingEnd="10dp">

        <ImageView
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:background="@color/color_transparent"
            android:padding="7dp"
            android:src="@drawable/icon_back" />
    </FrameLayout>

    <TextView
        android:id="@+id/tv_category_name"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="5dp"
        android:gravity="center"
        android:text="@string/text_upload"
        android:textColor="@color/color_text"
        android:textSize="18sp" />


    <ImageView
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_alignParentEnd="true"
        android:id="@+id/image_upload"
        android:layout_alignTop="@id/tv_category_name"
        android:layout_marginEnd="20dp"
        android:padding="9dp"
        android:src="@drawable/upload_photo_image" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/list_recyclerview"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/tv_category_name"
        android:layout_marginTop="17dp" />

    <LinearLayout
        android:id="@+id/layout_empty"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/tv_category_name"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <ImageView
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:src="@drawable/empty_image" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="25dp"
            android:layout_marginEnd="25dp"
            android:lineSpacingExtra="4dp"
            android:text="@string/upload_empty"
            android:textColor="@color/color_full_welcome_progress_drawable"
            android:textSize="16sp" />
    </LinearLayout>
    <ProgressBar
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:id="@+id/loading_pb"
        android:layout_centerInParent="true"
        android:indeterminateTint="@color/white" />
</RelativeLayout>